curl --request POST \
--url https://api.context.markets/v2/questions/agent-submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"market": {
"formattedQuestion": "<string>",
"shortQuestion": "<string>",
"marketType": "SUBJECTIVE",
"evidenceMode": "social_only",
"resolutionCriteria": "<string>",
"endTime": "<string>",
"sources": [],
"timezone": "America/New_York",
"buckets": [
{
"key": "<string>",
"label": "<string>",
"countBy": "authors",
"query": "<string>",
"instructions": "<string>",
"includedAuthors": [
"<string>"
],
"excludedAuthors": [
"<string>"
],
"target": 1,
"authorOnly": true,
"order": 1
}
],
"comparisons": [
{
"type": "binary",
"key": "<string>",
"label": "<string>",
"aKey": "<string>",
"bKey": "<string>",
"operator": ">",
"aWeight": 1,
"bWeight": 1,
"margin": 1
}
],
"explanation": "<string>"
}
}
'{
"submissionId": "<string>",
"questions": [
null
],
"accounts": {},
"qualityExplanation": "<string>",
"refuseToResolve": true,
"status": "<string>",
"statusUpdates": [
null
],
"pollUrl": "<string>"
}API key passed as Bearer token
Show child attributes
Submission accepted
Always empty on initial submission
Always empty on initial submission
Show child attributes
Always empty on initial submission
URL to poll for submission status
curl --request POST \
--url https://api.context.markets/v2/questions/agent-submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"market": {
"formattedQuestion": "<string>",
"shortQuestion": "<string>",
"marketType": "SUBJECTIVE",
"evidenceMode": "social_only",
"resolutionCriteria": "<string>",
"endTime": "<string>",
"sources": [],
"timezone": "America/New_York",
"buckets": [
{
"key": "<string>",
"label": "<string>",
"countBy": "authors",
"query": "<string>",
"instructions": "<string>",
"includedAuthors": [
"<string>"
],
"excludedAuthors": [
"<string>"
],
"target": 1,
"authorOnly": true,
"order": 1
}
],
"comparisons": [
{
"type": "binary",
"key": "<string>",
"label": "<string>",
"aKey": "<string>",
"bKey": "<string>",
"operator": ">",
"aWeight": 1,
"bWeight": 1,
"margin": 1
}
],
"explanation": "<string>"
}
}
'{
"submissionId": "<string>",
"questions": [
null
],
"accounts": {},
"qualityExplanation": "<string>",
"refuseToResolve": true,
"status": "<string>",
"statusUpdates": [
null
],
"pollUrl": "<string>"
}